%define name smeserver-bandwidthd
%define version 2.0.1.2
%define release 6
Summary: bandwidthd is a helpdesk system
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Distribution: SME Server
License: GNU GPL version 2
Group: SMEserver/addon
Source: smeserver-bandwidthd-%{version}.tar.gz
Patch0: smeserver-bandwidthd-2.0.1.2.cronmysql.patch
Patch1: smeserver-bandwidthd-2.0.1.2-revert.patch
Patch2: smeserver-bandwidthd-2.0.1.2-b9117.patch
Patch3: smeserver-bandwidthd-2.0.1.2-b9118.patch
Patch4:smeserver-bandwidthd-2.0.1.2-8536.patch
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}-buildroot
BuildRequires: e-smith-devtools
Requires: e-smith-release >= 8.0
Requires: bandwidthd 
AutoReqProv: no

%description
bandwidthd is an application adapted as a contrib for SMEserver 

%changelog
* Sat Dec 17 2016 Jean-Philipe Pialasse <tests@pialasse.com> 2.0.1.2-6.sme
- fix  one more time too verbose cronjob 

* Thu Dec 15 2016 Jean-Philipe Pialasse <tests@pialasse.com> 2.0.1.2-5.sme
- fix one more time too verbose cronjob and unique IP networks

* Mon Nov 10 2015 JP Pialasse <tests@pialasse.com> 2.0.1.2-4.sme
- fix too verbose cronjob [SME: 9117]
- fix bandwidthd wont start for unique IP networks(error27) [SME: 9118]

* Thu Nov 05 2015 JP Pialasse <tests@pialasse.com> 2.0.1.2-3.sme
- removed httpd.conf syntax intended for SME9 not SME8 [SME: 9100]

* Sat Sep 26 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 2.0.1.2-2.sme
- removed typo [SME: 8116]
- Added smeserver-bandwidthd-2.0.1.2.cronmysql.patch

* Mon Jun 16 2014 JP Pialasse <tests@pialasse.com> 2.0.1.2-1.sme
- initial import to SME9 contribs

* Mon Dec 30 2013 JP Pialasse <tests@pialasse.com> 2.0.1.1-6.sme
- add require SSL [SME: 8099]

* Sun Dec 29 2013 JP Pialasse <tests@pialasse.com> 2.0.1.1-4.sme
- fix missing mysql.init
- fix http auth error

* Fri Dec 27 2013 JP Pialasse <tests@pialasse.com> 2.0.1.1-2.sme
- few enhancement and bug fixing
- added link in manager

* Thu Dec 26 2013  CONTRIB MAKER <tests@pialasse.com> 2.0.1.1-1.sme
- initial release
- builds from unchanged .tar.gz 

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
     > %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)


